
From: Nigel Cunningham <ncunningham@users.sourceforge.net>

Change the console code to support up to 256 (maybe 255?) columns.


---

 drivers/char/vt.c         |    4 ++--
 include/linux/selection.h |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/char/vt.c~support-wider-consoles drivers/char/vt.c
--- 25/drivers/char/vt.c~support-wider-consoles	2004-01-22 01:39:43.000000000 -0800
+++ 25-akpm/drivers/char/vt.c	2004-01-22 01:40:24.000000000 -0800
@@ -3063,13 +3063,13 @@ unsigned short *screen_pos(int currcons,
 	return screenpos(currcons, 2 * w_offset, viewed);
 }
 
-void getconsxy(int currcons, char *p)
+void getconsxy(int currcons, unsigned char *p)
 {
 	p[0] = x;
 	p[1] = y;
 }
 
-void putconsxy(int currcons, char *p)
+void putconsxy(int currcons, unsigned char *p)
 {
 	gotoxy(currcons, p[0], p[1]);
 	set_cursor(currcons);
diff -puN include/linux/selection.h~support-wider-consoles include/linux/selection.h
--- 25/include/linux/selection.h~support-wider-consoles	2004-01-22 01:39:43.000000000 -0800
+++ 25-akpm/include/linux/selection.h	2004-01-22 01:40:29.000000000 -0800
@@ -36,8 +36,8 @@ extern u16 screen_glyph(int currcons, in
 extern void complement_pos(int currcons, int offset);
 extern void invert_screen(int currcons, int offset, int count, int shift);
 
-extern void getconsxy(int currcons, char *p);
-extern void putconsxy(int currcons, char *p);
+extern void getconsxy(int currcons, unsigned char *p);
+extern void putconsxy(int currcons, unsigned char *p);
 
 extern u16 vcs_scr_readw(int currcons, const u16 *org);
 extern void vcs_scr_writew(int currcons, u16 val, u16 *org);

_
